'use strict';

var chunkFPAJGGOC = require('./chunk-FPAJGGOC.js');
var fileSystemProvider = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.js');
var dependencyInjection = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.js');
var defaultModule = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.js');

// src/language/gitGraph/tokenBuilder.ts
var GitGraphTokenBuilder = class extends chunkFPAJGGOC.AbstractMermaidTokenBuilder {
  static {
    chunkFPAJGGOC.__name(this, "GitGraphTokenBuilder");
  }
  constructor() {
    super(["gitGraph"]);
  }
};

// src/language/gitGraph/module.ts
var GitGraphModule = {
  parser: {
    TokenBuilder: /* @__PURE__ */ chunkFPAJGGOC.__name(() => new GitGraphTokenBuilder(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ chunkFPAJGGOC.__name(() => new chunkFPAJGGOC.CommonValueConverter(), "ValueConverter")
  }
};
function createGitGraphServices(context = fileSystemProvider.EmptyFileSystem) {
  const shared = dependencyInjection.inject(
    defaultModule.createDefaultSharedCoreModule(context),
    chunkFPAJGGOC.MermaidGeneratedSharedModule
  );
  const GitGraph = dependencyInjection.inject(
    defaultModule.createDefaultCoreModule({ shared }),
    chunkFPAJGGOC.GitGraphGeneratedModule,
    GitGraphModule
  );
  shared.ServiceRegistry.register(GitGraph);
  return { shared, GitGraph };
}
chunkFPAJGGOC.__name(createGitGraphServices, "createGitGraphServices");

exports.GitGraphModule = GitGraphModule;
exports.createGitGraphServices = createGitGraphServices;
